﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using System.Collections.ObjectModel;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using Syncfusion.UI.Xaml.Charts;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace DateTimeRangeNavigatorDemo
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
            ((Model)holder.DataContext).Chart = new SfChart();
            ((Model)holder.DataContext).Chart.PrimaryAxis = new DateTimeAxis();
            ((Model)holder.DataContext).Chart.SecondaryAxis = new NumericalAxis();
            ((Model)holder.DataContext).Chart.Series = new ChartSeriesCollection();
            ColumnSeries column = new ColumnSeries();
            column.XBindingPath = "_Date";
            column.YBindingPath = "High";
            Binding b = new Binding();
            b.Source = RangeNavigator.SelectedData;
            b.ElementName = "RangeNavigator";
            column.SetBinding(ColumnSeries.ItemsSourceProperty, b);
            ((Model)holder.DataContext).Chart.Series.Add(column);
        }

        /// <summary>
        /// Invoked when this page is about to be displayed in a Frame.
        /// </summary>
        /// <param name="e">Event data that describes how this page was reached.  The Parameter
        /// property is typically used to configure the page.</param>
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }
    }
}
